import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import Page from '@/layouts/index';
import Head from "./components/Head";
// import Form1 from "./components/Form1";
import Bottom from "./components/Bottom";
import './index.less'
import Forms from './components/Forms';
import Form1 from './components/Form1';

export default (props) => {
  // eslint-disable-next-line no-undef
  const isApp = IS_APP_CLIENT;

  const onSuccess = () => {
    Taro.reLaunch({
      url: '/pages/home/index'
    })
  }

  return (
    <View>
      <View className="login-box">
        <Head />
        <Form1 onSuccess={onSuccess} />
        {/* H5此无功能 */}
        {isApp && <Bottom onSuccess={onSuccess} />}
      </View>
    </View>
  )
}
